Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 03:06
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Dpup Exprimo 5.X.3.4.12 with 3.4.2 kernel.
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 58 of 89 Posts_count   Goto page: Previous 1, 2, 3, ..., 56, 57, 58, 59, 60, ..., 87, 88, 89 Next
Author Message
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Wed 18 Jul 2012, 10:12    Post_subject:  

I'm getting a strange error from Qupzilla 1.3.1

When trying to enable youtuber, a popup error appears saying the extension can't be loaded. Confused
Back to top
View user's profile Send_private_message 
majorfoo

Joined: 07 Mar 2011
Posts: 445
Location: Wish I knew

PostPosted: Wed 18 Jul 2012, 10:51    Post_subject:  

D/L and created live cd.

Sound - ok
Auto connect to Internet - ok
Turned on firewall - ok
Set time from internet - ok

Upgraded browser to Seamonkey 2.11 Final
Added following:
Xscreensaver-5.15
Shermans Aquaraium 3.01
Abiword-286 gnumeric-1.10.17 goffice-0.8.17
Abiword 2.90 pet - had to add missing lib=libgsf-gnome-.so.114..0.21
Puppy browser
Flash Player-12.2.202.228
Sfs Install
tcl-8.5.6
tk-8.5.6
wbar with setup
roxterm-1.17.1
Bibletime 2.72
plus several other small items

Remastered and created new live cd - 244 mb with all the changes.

Pemasu - Please consider the changes to remaster process made by
rerwin on page 27 of link shown below

http://www.murga-linux.com/puppy/viewtopic.php?t=70855&start=390

lupu528-IU001_rerwin_patch-9.pet
This patch has worked well in Lucid-528 series for me. If you approve, he will have to make similar changes in this version.

These changes removes error message on boot of new remastered copy regarding improper shutdown - removes welcome screen on remastered copy and removes the save on shutdown of remastered copy.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 18 Jul 2012, 11:51    Post_subject:  

Majorfoo. Abiword-2.8.6 bundle is it's own whole in one pet.
Abiword-2.9.0 needs to be installed by clicking examine dependencies.

I dont understand why you install first the other one as bundled which has everything for abiword-2.8.6 and gnumeric and then after that abiword-2.9.0 which is dependent of different version of libgsf-gnome.

I think that wont make much sense, lol.

Install the older abiword bundle or abiword-2.9.0 with examine dependencies which will give you all the needed dependencies as separate downloads and installs them.

I let them them be there as 2 choices which to use, not so that you install both.

Gnuxo. That Youtuber is not yet official. I am not sure if I can get it working with 1.3.1 version.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 18 Jul 2012, 12:09    Post_subject:  

Quote:
Remastered and created new live cd - 244 mb with all the changes.
Pemasu - Please consider the changes to remaster process made by
rerwin on page 27 of link shown below
http://www.murga-linux.com/puppy/viewtopic.php?t=70855&start=390
lupu528-IU001_rerwin_patch-9.pet

I think I have altered remasterpup2 script by Shinobar included. I dont remaster at all, so people remastering need to give me input what script suits best.

Anyway. Great that dpup exprimo suits for remastering.
Back to top
View user's profile Send_private_message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Wed 18 Jul 2012, 12:13    Post_subject:  

I hope that youtuber isn't a major problem. I'll take the issue upstream and see if the Devs themselves know what to do.

Edit: Ok, I'm back. They told me to rebuild the plugin.

Nowrep says that the plugin was probably built for 1.3.0 and not 1.3.1 which is why it's refusing to load.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 18 Jul 2012, 12:18    Post_subject:  

Thanks Gnuxo. I will try again.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 18 Jul 2012, 12:56    Post_subject:  

Amazing. I usually do not much go to the irc channel to discuss with developers but now I did go. The Youtuber plugin for latest Qupzilla-1.3.1 didnt load.
I went to freenode qupzilla channel and I explained the problem and .....after couple of minutes the developer chatted that now it works....download the latest git...
I did and and compiled Qupzilla-1.3.1 with Youtuber plugin and now it works !!!
Phil Collins sings so nicely in VLC.
I am grateful and would call that the service of best class !

I have reuploaded the Qupzilla-1.3.1.pet. I think that people should test that it works. I have compiled and uninstalled it so many times that everything is possible.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 18 Jul 2012, 13:03    Post_subject:  

I repackaged and okay...also recompiled the tint2 panel for openbox.
I noticed that the previous pet did not have working .xinitrc included.

So...I repackaged it. Now if you download openbox-exprimo and tint2-with-menu-0.11 pets you can use wmswitcher from menu to change to openbox and with restart it loads openbox and tint2 panel.

There is also fbpanel-exprimo panel separately as traditional choice for openbox panel.

Stu90 could now give us tutorial course of tint2, lol.
Back to top
View user's profile Send_private_message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Wed 18 Jul 2012, 13:32    Post_subject:  

Pemasu, thanks for the hard efforts on Youtuber working. Smile

A big thank you to the folks at Qupzilla as well.

The only issue I still have is that Gecko-media player isn't detected by Qupzilla and the Vlc pugin crashes the browser. Though I mostly use Youtuber so it's not a major loss.

Though I wonder if there's some incompatibility. Confused
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 18 Jul 2012, 13:39    Post_subject:  

Gnuxo. Dont use that vlc-plugin which was separately packaged. The reuploaded vlc-2.0.1.pet has the compliant vlc-plugin included. Just reminder.
I am not sure if gecko-mediaplayer plugin will manifest for Qupzilla. Mplayer does not know how to play youtube urls. They need straight url for .flv content. So making working gnome-mplayer plugin would need some .flv url parser to be included also...to play youtube media.

But...there is gtk-youtube-viewer for that task, it uses mplayer as backend.

Edited_times_total
Back to top
View user's profile Send_private_message 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Wed 18 Jul 2012, 13:44    Post_subject: remasterpup2  

majorfoo wrote:
Please consider the changes to remaster process made by
rerwin on page 27 of link shown below

http://www.murga-linux.com/puppy/viewtopic.php?t=70855&start=390

lupu528-IU001_rerwin_patch-9.pet
This patch has worked well in Lucid-528 series for me. If you approve, he will have to make similar changes in this version.

These changes removes error message on boot of new remastered copy regarding improper shutdown - removes welcome screen on remastered copy and removes the save on shutdown of remastered copy.

rerwin's patch is worth to onsider, but the point is removing the file/etc/.XLOADED, which you can do manually.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send_private_message Visit_website 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Wed 18 Jul 2012, 13:51    Post_subject:  

I have been using the inegrated VLC plugin. Sad

Whenever I try to play media that requires a media plugin, the browser crashes.

It's odd though because I have Qupzilla installed on an Ubuntu laptop and Totem works just fine.

Could there be some glitch in which only Gstreamer apps work?

I asked Nowrep and he says that it's not the case, and I haven't tried Totem or Parole on puppy in order to see if that is indeed the case or not.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 18 Jul 2012, 14:05    Post_subject:  

Yeah, I think that I compiled vlc-plugin using xulrunner dev package. I think that the incompatibilty comes from that. vlc-plugin is basically mozilla browser plugin which works fine with Firefox...and Dpup Exprimo comes with Firefox, lol.
I dont know how to compile vlc-plugin for Qupzilla if there is even that possibility.
Back to top
View user's profile Send_private_message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Wed 18 Jul 2012, 14:12    Post_subject:  

I think that's the trouble with even Gecko-mediaplayer which is specifically compiled for Firefox.

That's not a problem for Midori, which will play it all regardless, but I guess Qupzilla is not Midori.

Qupzilla is still a fantastic browser which I prefer to use.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 18 Jul 2012, 14:26    Post_subject:  

I extracted the remasterpup2 from the rerwin's pet. Of course I dont know if that is all it needs and if it is dpup exprimo compliant. If someone wants to give it a go...here is the pet which overwrites the existing one.
Someone with remasterpup2 content knowledge can also give valuable comments.
remasterpup2-replacement-0.0.1.pet
Description 
pet

 Download 
Filename  remasterpup2-replacement-0.0.1.pet 
Filesize  11.5 KB 
Downloaded  123 Time(s) 
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 58 of 89 Posts_count   Goto page: Previous 1, 2, 3, ..., 56, 57, 58, 59, 60, ..., 87, 88, 89 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1039s ][ Queries: 13 (0.0246s) ][ GZIP on ]